#include <bits/stdc++.h>
using namespace std;

int n,m,black[10005],white[10005],all;
vector<int> v;
vector<vector<int>> tmp,oo;

int calc()
{
    int res=0;
    for(int i=0;i<m;i++)
    {
        res+=black[i]*white[i];
        //printf("%d %d\n",black[i],white[i]);
    }
    return res;
}

int greedy()
{
    sort(v.begin(),v.end());
    vector<vector<int>> temp;
    int cnto[10005]={};
    for(int i=0;i<n;i++)
    {
        int cnt=0,rem=v[i];
        for(;i<n;i++)
        {
            if(v[i]==rem)
            {
                cnt++;
            }
            else
            {
                break;
            }
        }
        i--;
        vector<int> v1={};
        for(int j=0;j<rem;j++)
        {
            v1.push_back(cnt);
        }
        for(int j=0;j<m-rem;j++)
        {
            v1.push_back(0);
        }
        cnto[temp.size()]=cnt;
        temp.push_back(v1);
    }
    for(int i=0;i<m;i++)
    {
        black[i]=0;
        white[i]=0;
    }
    for(int i=temp.size()-1;i>=0;i--)
    {
        for(int j=0;j<m;j++)
        {
            //printf("%d ",temp[i][j]);
            if(temp[i][j])
            {
                black[j]+=cnto[i];
            }
            else
            {
                white[j]+=cnto[i];
            }
        }
        //printf("\n");
    }
    //sort(temp.begin(),temp.end());
    int res=calc();
    //printf("%d\n",res);
    for(int i=temp.size()-1;i>=0;i--)
    {
        for(int j=0;j<m;j++)
        {
            if(temp[i][j])
            {
                black[j]-=cnto[i];
                white[j]+=cnto[i];
            }
            else
            {
                white[j]-=cnto[i];
                black[j]+=cnto[i];
            }
        }
        //printf("%d\n",calc());
        res=min(res,calc());
    }
    return res;
}

void input()
{
    int in;
    cin>>n>>m;
    for(int i=0;i<n;i++)
    {
        cin>>in;
        v.push_back(in);
    }
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);
    input();
    cout<<greedy();
}